Bug 1418454 - [GSS] [RFE] Tool or option to reinitialize previously used bricks
Summary: [GSS] [RFE] Tool or option to reinitialize previously used bricks
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks: RHGS-usability-bug-GSS 1408949 1481177
TreeView+ depends on / blocked
 
Reported: 2017-02-01 21:26 UTC by Cal Calhoun
Modified: 2020-04-15 15:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-12 07:40:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Cal Calhoun 2017-02-01 21:26:14 UTC
Description of problem:

  Some customers are making mistakes when attempting to re-initialize bricks for reuse.  This can result in data loss.  Currently there is no process to re-initialize a brick programmatically.

  It would be good to have a function, either an option to the gluster command or a stand-alone tool, that will correctly re-initialize a previously used brick so that it can be reused, while providing informative feedback to the user and requiring explicit confirmation prior to making unrecoverable changes.

  Additionally, it might be helpful to have the tool perform a rudimentary analysis of the brick (filesystem format, size, etc.) and report this to the user along with warnings if any of the suggested brick attributes are incorrect.

Comment 4 Bipin Kunal 2017-06-28 10:12:59 UTC
Hello Cal,

   You can always reuse the brick using "force" command when creating volume.
   
   What is your expectation with this RFE ? Do you wish to collect information of the old brick(like filesystem, size, used and free space, file count etc) and present to admin before using "force" option if he is trying to use old brick?

  Or do you want user not to accidentally use a brick which is already used by other volume?

-Bipin

Comment 5 Cal Calhoun 2017-07-18 17:37:07 UTC
@Bipin,

  The original case is now closed but I think some combination of both.  The intent being to prevent a user from inadvertently trashing a brick by mistake.

Comment 6 Bipin Kunal 2017-07-19 13:25:50 UTC
(In reply to Cal Calhoun from comment #5)
> @Bipin,
> 
>   The original case is now closed but I think some combination of both.  The
> intent being to prevent a user from inadvertently trashing a brick by
> mistake.

As of now we do have check and we are preventing a user to inadvertently trashing a brick by mistake.

What I think improvement here we can make is...
   As of now when we try to use a brick which is part of volume, it complains saying "brick already in use, use force to override ...something of this sort.
   In addition to this we can even inform, brick is part of which volumes.
   In case volume doesn't exist anymore, message can even indicate the volume doesn't exist any more.

Let me know how these changes sounds and do let us know if you have any more suggestion.

Comment 7 Cal Calhoun 2017-10-12 17:48:31 UTC
@Bipin, I think this would be a very good way to address the issue.

Comment 8 Atin Mukherjee 2018-04-08 13:32:06 UTC
Can be considered for an enhancement in GD2..

@PPai, Aravinda - request you to evaluate this for GD2.


Note You need to log in before you can comment on or make changes to this bug.